Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Thu 27 Nov 2014, 18:14
All times are UTC - 4
 Forum index » House Training » Bugs ( Submit bugs )
Slacko 5.3.3 bug reports and feedback
Moderators: Flash, Ian, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 4 of 11 [160 Posts]   Goto page: Previous 1, 2, 3, 4, 5, 6, ..., 9, 10, 11 Next
Author Message
broomdodger


Joined: 09 May 2008
Posts: 271
Location: Santa Cruz, CA

PostPosted: Tue 08 May 2012, 19:12    Post subject: ppm fails to start after updating...  

01micko wrote:
broomdodger, confirmed thanks, a bug in the Ziggy ui, attached pet will fix, please report.
01micko, your patch got PPM working again.
I will try stressing it again soon.
Bill
Back to top
View user's profile Send private message 
01micko


Joined: 11 Oct 2008
Posts: 7841
Location: qld

PostPosted: Wed 09 May 2012, 09:16    Post subject:  

playdayz wrote:
Code:
sh-4.1# ppm

** ERROR **: gtkdialog: Error in line 30, near token '</vbox>': syntax error

aborting...
sh-4.1#

Restored ui_Ziggy, got this in starting from command line.


.. got to the bottom of that one!

What you did was remove all repos, ui_Ziggy bugged out. I have made this more robust by hard coding in the default repo. Why would you want to remove it anyway? Laughing Ok, yes, it's still a bug!

Attached is a cumulative pet that includes the last patch.[REMOVED-see below] BE WARNED, if you don't remove all repos this patch should be unnecessary, so we will consider it experimental until further notice. The old patch on the previous page is sound.

playdayz.. you will likely need to replace /root/.packages/PKGS_MANAGEMENT with the one from /initrd/pup_ro2/root/.packages to recover.

Patch:
Code:
--- configure.sh.orig   2012-04-29 22:21:42.000000000 +1000
+++ configure.sh   2012-05-09 23:10:21.077689000 +1000
@@ -16,8 +16,15 @@
 . /root/.packages/PKGS_MANAGEMENT #has PKG_REPOS_ENABLED
 
 #find what repos are currently in use...
-CHECKBOXES_REPOS=""
-for ONEREPO in `ls -1 /root/.packages/Packages-*`
+CHECKBOXES_REPOS=""
+#bugfix with ui_Ziggy 120509 #add CHECKBOX_MAIN_REPO var to gui
+MAIN_REPO=`ls -1 /root/.packages/Packages-*|grep "puppy\-$DISTRO_FILE_PREFIX"`
+BASE_MAIN_REPO="`basename $MAIN_REPO`"
+bMAIN_PATTERN=' '"$BASE_MAIN_REPO"' '
+MAIN_DBNAME="`echo -n "$BASE_MAIN_REPO" | sed -e 's%Packages\-%%'`"
+CHECKBOX_MAIN_REPO="<checkbox><default>true</default><label>${MAIN_DBNAME}</label><variable>CHECK_${MAIN_DBNAME}</variable><visible>disabled</visible></checkbox>" #hard coded "true"
+
+for ONEREPO in `ls -1 /root/.packages/Packages-*|grep -v "puppy\-$DISTRO_FILE_PREFIX"`
 do
  BASEREPO="`basename $ONEREPO`"
  bPATTERN=' '"$BASEREPO"' '
@@ -62,6 +69,7 @@
  <frame $(gettext 'Choose repositories')>
   <text><label>$(gettext 'Choose what repositories you would like to have appear in the main GUI window (tick a maximum of 5 boxes):')</label></text>
   ${CHECKBOXES_REPOS}
+  ${CHECKBOX_MAIN_REPO}
   <hbox>
    <text><label>$(gettext 'Adding a new repository currently requires manual editing of some text files. Click this button for further information:')</label></text>
    <button><label>$(gettext 'Add repo help')</label>


Reports please.

EDIT: see http://www.murga-linux.com/puppy/viewtopic.php?p=626479#626479 for official patch.

_________________
Woof Mailing List | keep the faith Cool |

Last edited by 01micko on Thu 10 May 2012, 06:34; edited 2 times in total
Back to top
View user's profile Send private message Visit poster's website 
playdayz


Joined: 25 Apr 2008
Posts: 3789

PostPosted: Wed 09 May 2012, 14:56    Post subject:  

Quote:
What you did was remove all repos, ui_Ziggy bugged out. I have made this more robust by hard coding in the default repo. Why would you want to remove it anyway? Ok, yes, it's still a bug!

Oops, Sorry about that. I didn't mean to. I got in the habit of unchecking the default repo when I was adding the ubu repos in Lucid to avoid any conflict and carried it over and then I guess I missed a check mark putting it back. Embarassed

Add: yes that fixed it, and I did have to copy PKGS_MANAGEMENT.

Last edited by playdayz on Wed 09 May 2012, 15:36; edited 2 times in total
Back to top
View user's profile Send private message 
christhi

Joined: 20 Feb 2007
Posts: 12

PostPosted: Wed 09 May 2012, 14:57    Post subject: Mesa-GLX drivers...  

Seems like the Mesa-GLX drivers still aren't working on my Intel N10 Integrated Graphics card.

I've been having the same issue with past Slackos, but all is working well under Lucid...

As an instance, when trying to run an OpenGL-based game, the prompt says that OpenGL could not load, or something.

Might not be the first you get that bug report, but if there's anything I should check please tell me so!

thanks
Back to top
View user's profile Send private message 
ozsouth

Joined: 01 Jan 2010
Posts: 149
Location: S.E Australia

PostPosted: Wed 09 May 2012, 19:11    Post subject: Intel Screen Artefacts - Solved (sufficiently)  

Appears to be a JWM problem. Fixed by installing
icewm-1.3.7-i686-s.pet
from
http://distro.ibiblio.org/puppylinux/pet_packages-slacko/
and changing /etc/windowmanager entry to icewm.
Back to top
View user's profile Send private message 
claude


Joined: 14 Apr 2007
Posts: 153
Location: Saint-Jérôme, Qc

PostPosted: Wed 09 May 2012, 19:43    Post subject: Keyboard configuration
Subject description: keyboard not usable after reboot
 

I installed Slacko 5.3.3 in frugal mode: after I changed keyboard (ps2) configuration: country: ca layout:multi, language: cf, keyboard operation is OK. Soon I reboot the pc, the keyboard becomes unusable. It looks like the configuration changes are not saved with the pupsave. Otherwise, mouse operation is normal.

Claude
Back to top
View user's profile Send private message 
01micko


Joined: 11 Oct 2008
Posts: 7841
Location: qld

PostPosted: Thu 10 May 2012, 06:32    Post subject:  

Barry has accepted my PPM patches upstream so this is an "official" patched pet. All users are urged to install, I'll put a link in the main post and remove the old patches.

NO.. Barry's alteration breaks it!!!! Back to patch 2. This is because big changes happened to woof PPM on May 4.. I already had final built. See Barry's blog if you want more info.


One unlucky user got the faulty one, please get this one
ziggy_patch_ppm-2.pet
Description 
pet

 Download 
Filename  ziggy_patch_ppm-2.pet 
Filesize  4.34 KB 
Downloaded  2682 Time(s) 

_________________
Woof Mailing List | keep the faith Cool |
Back to top
View user's profile Send private message Visit poster's website 
L18L

Joined: 19 Jun 2010
Posts: 2579
Location: www.eussenheim.de/

PostPosted: Fri 11 May 2012, 10:33    Post subject: internationalization
Subject description: mtpaint and seamonkey
 

I have fattened german langpack to 25M to suit FATslacko too.

2 issues for now

1 mtpaint of FATslacko does not use mtpaint.mo
It is 595k size.
Size of mtpaint from racy5.3 is 603k and working ok. Why different compilations, both are version 3.40.

2 seamonkey
racy has its langpack in /usr/lib/seamonkey-2.6.1/
/usr/lib/seamonkey/ links to /usr/lib/seamonkey-2.6.1/

slacko has just /usr/lib/seamonkey/ (without version)

I cannot put the langpack for seamonkey-2.9 (slacko) into directory /usr/lib/seamonkey of puppy´s langpack because that would destroy the link in racy.

A solution could be:
Make slacko´s seamonkey directory:
/usr/lib/seamonkey-2.9
and /usr/lib/seamonkey link to /usr/lib/seamonkey-2.9
thus the internationalisation stuff of both can coexist in one puppy langpack.
There will always be just one langpack for all of the official puppies. Exclamation Question Idea
Back to top
View user's profile Send private message 
pgmunkeh

Joined: 11 May 2012
Posts: 1

PostPosted: Fri 11 May 2012, 15:46    Post subject:  

Not sure if this is the correct place to post but wanted to say thanks for 01micko's post above; I installed the ziggy_patch_ppm-2.pet and that fixed the broken Puppy Package Manager. I was having the same problem broomdodger, page3, and others were having.

Thank you.
Back to top
View user's profile Send private message 
broomdodger


Joined: 09 May 2008
Posts: 271
Location: Santa Cruz, CA

PostPosted: Fri 11 May 2012, 23:07    Post subject: sylpheed racy53 and slacko533  

I like the email client Sylpheed, and compiled it for racy53.

When trying Sylpheed with Slacko533 it would not start.
I used terminal to start Sylpheed and this is what I found:

Code:
# ./sylpheed
/initrd/mnt/dev_save/downloads/sylpheed-3.2.0beta7/src/.libs/lt-sylpheed: error while loading shared libraries: libssl.so.1.0.0: cannot open shared object file: No such file or directory


After recompiling Sylpheed on Slacko533 and it runs great.

It seems that Slacko533 has libssl.so.0.9.8 and not libssl.so.1.0.0 as does racy533.

Using terminal in Slacko533:

Code:
# find/ -iname '*libssl*'
/usr/lib/libssl.so
/usr/lib/libssl.so.0
/usr/lib/libssl.so.0.9.7
/usr/lib/libssl.so.0.9.8
/usr/lib/pkgconfig/libssl.pc
/usr/lib/seamonkey/libssl3.so
/usr/lib/libssl.a


Using terminal in racy53:

Code:
# find/ -iname '*libssl*'
/usr/lib/libssl.so
/usr/lib/libssl.so.0
/usr/lib/libssl.so.0.9.7
/usr/lib/libssl.so.0.9.8
/usr/lib/libssl.so.1.0.0
/usr/lib/libssl3.so
/usr/lib/pkgconfig/libssl.pc
/usr/lib/seamonkey-2.6.1/libssl3.so
/usr/lib/libssl.a


Bill
Back to top
View user's profile Send private message 
Sage

Joined: 04 Oct 2005
Posts: 4819
Location: GB

PostPosted: Sat 12 May 2012, 01:34    Post subject:  

Quote:
I like... Sylpheed

You'd like Claws even more! It's a fork: bigger but worth the extra.
Back to top
View user's profile Send private message 
nilsonmorales


Joined: 15 Apr 2011
Posts: 516
Location: El salvador

PostPosted: Mon 14 May 2012, 02:33    Post subject:  

have this problem whit ppm
# ppm
BusyBox v1.19.3 (2011-11-09 07:34:50 WST) multi-call binary.

Usage: basename FILE [SUFFIX]

Strip directory path and .SUFFIX from FILE



** ERROR **: gtkdialog: Error in line 24, near token '</label>': syntax error

aborting...
when try to update packages list
i install 2 ziggys but still dont works
can you help me please?
Back to top
View user's profile Send private message MSN Messenger 
01micko


Joined: 11 Oct 2008
Posts: 7841
Location: qld

PostPosted: Mon 14 May 2012, 16:59    Post subject:  

nilsonmorales

I can not reproduce this error!

I just did an update too. Maybe something went wrong for you?

I need output from this command;
Code:
ls -1 /root/.packages|grep "Packages\-"


After an update it should look like this:
Code:
Packages-puppy-2-official
Packages-puppy-3-official
Packages-puppy-4-official
Packages-puppy-5-official
Packages-puppy-common-official
Packages-puppy-lucid-official
Packages-puppy-noarch-official
Packages-puppy-quirky-official
Packages-puppy-slacko-official
Packages-puppy-squeeze-official
Packages-puppy-wary5-official
Packages-slackware-13.37-official
Packages-slackware-13.37-salix
Packages-slackware-13.37-slacky


Thanks

Note, if you have a frugal install you can restore all Packages-* files from /initrd/pup_ro2/root/.packages/ or if a full install from the CD, just mount the CD, mount the slacko sfs and find /root/.packages/

_________________
Woof Mailing List | keep the faith Cool |
Back to top
View user's profile Send private message Visit poster's website 
stephino13

Joined: 01 Nov 2007
Posts: 19
Location: Tennessee, USA

PostPosted: Tue 15 May 2012, 18:48    Post subject: Pmount Not Working  

I have a frugal install of 5.3.3 on a jump drive. I have noticed that pmount probes the drives, but then nothing. From rxvt, I get the following
Code:
 #pmount
/usr/sbin/pmount: line 858: 31645 Terminated              yaf-splash -bg orange -fg black -close never -fontsize large -text "$m_02"
/usr/sbin/pmount: line 863: 32151 Aborted                 /tmp/gtkdialog_pmount --file=/tmp/pmountdlg.txt_${MYPID} -G +"$X"+"$Y" > /tmp/pmountdlg_${MYPID} 2> /tmp/pmounterr
#
Back to top
View user's profile Send private message 
broomdodger


Joined: 09 May 2008
Posts: 271
Location: Santa Cruz, CA

PostPosted: Fri 18 May 2012, 16:59    Post subject: b43 problem  

Hello 01micko

slacko533
slacko533pae
frugal
Dell Inspiron 2200
Pentium-M 600/1600 MHz
CPU0: Intel(R) Pentium(R) M processor 1.60GHz stepping 08
Broadcom BCM4318 wireless driver

No problem with wireless on racy530, wary530, wary514.1

Both slacko533pae and slacko533 have trouble connecting wireless,
most of the time I get a message that no wireless is found.

Sometimes... the first time after a pfix=ram it will connect,
but save the session and restart the wireless fails.

Do you think it could be a timing issue?

This machine has a Pentium-M 600/1600 MHz that changes speed,
which may account for the fact it sometimes (rarely) connects.

-Bill

# ==============================================================
Information about this interface:
Interface: wlan0 Driver: b43 Bus: pcmcia
MacAddress: 00:14:A5:08:AB:58
Description: Broadcom B43 wireless driver

STEP1a: ifconfig wlan0 up
ifconfig: SIOCSIFFLAGS: Protocol error

*********************************************************
LAST 10 LINES of /var/log/messages:
May 18 11:54:19 puppypc8377 daemon.notice acpid:
client connected from 11926[0:0]
May 18 11:54:19 puppypc8377 daemon.info acpid: 1 client rule loaded

May 19 18:54:40 puppypc8377 user.info kernel: [ 136.413506]
b43-phy0: Loading firmware version 508.1084 (2009-01-14 01:32:01)
May 19 18:54:40 puppypc8377 user.err kernel: [ 136.413648]
b43-phy0 ERROR: Initial Values Firmware file-format error.
May 19 18:54:40 puppypc8377 user.err kernel: [ 136.413652]
b43-phy0 ERROR: You must go to
http://wireless.kernel.org/en/users/Drivers/b43#devicefirmware
and download the correct firmware for this driver version.
Please carefully read all instructions on this website.

May 19 18:55:11 puppypc8377 user.err kernel: [ 167.283489]
b43-phy0 ERROR: Microcode not responding
May 19 18:55:11 puppypc8377 user.err kernel: [ 167.283496]
b43-phy0 ERROR: You must go to
http://wireless.kernel.org/en/users/Drivers/b43#devicefirmware
and download the correct firmware for this driver version.
Please carefully read all instructions on this website.

May 19 18:55:58 puppypc8377 user.info kernel: [ 214.232448]
b43-phy0: Loading firmware version 508.1084 (2009-01-14 01:32:01)
May 19 18:55:58 puppypc8377 user.err kernel: [ 214.232591]
b43-phy0 ERROR: Initial Values Firmware file-format error.
May 19 18:55:58 puppypc8377 user.err kernel: [ 214.232595]
b43-phy0 ERROR: You must go to
http://wireless.kernel.org/en/users/Drivers/b43#devicefirmware
and download the correct firmware for this driver version.
Please carefully read all instructions on this website.

# ==============================================================
# lspci -vnn -d 14e4:
02:03.0 Network controller [0280]: Broadcom Corporation
BCM4318 [AirForce One 54g] 802.11g Wireless LAN Controller
[14e4:4318] (rev 02)
Subsystem: Dell Wireless 1370 WLAN Mini-PCI Card [1028:0005]
Flags: bus master, fast devsel, latency 64, IRQ 19
Memory at dfdfe000 (32-bit, non-prefetchable) [size=8K]
Kernel driver in use: b43-pci-bridge
Kernel modules: ssb

# ==============================================================
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 4 of 11 [160 Posts]   Goto page: Previous 1, 2, 3, 4, 5, 6, ..., 9, 10, 11 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » House Training » Bugs ( Submit bugs )
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1134s ][ Queries: 13 (0.0064s) ][ GZIP on ]